> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/client-interfaces/ecpg/ecpg-sql-commands/ecpg-sql-describe.md).

# DESCRIBE

### DESCRIBE

DESCRIBE — 取得備妥陳述式或結果集的資訊

### 語法

```

DESCRIBE [ OUTPUT ] prepared_name USING [ SQL ] DESCRIPTOR descriptor_name
DESCRIBE [ OUTPUT ] prepared_name INTO [ SQL ] DESCRIPTOR descriptor_name
DESCRIBE [ OUTPUT ] prepared_name INTO sqlda_name
```

### 說明

`DESCRIBE` 取得備妥陳述式所含結果欄位的中繼資料資訊，而不會實際擷取資料列。

### 參數

*`prepared_name`* [#](#ECPG-SQL-DESCRIBE-PREPARED-NAME) : 備妥陳述式的名稱。可以是 SQL 識別字或主機變數。

*`descriptor_name`* [#](#ECPG-SQL-DESCRIBE-DESCRIPTOR-NAME) : 描述區名稱，區分大小寫。可以是 SQL 識別字或主機變數。

*`sqlda_name`* [#](#ECPG-SQL-DESCRIBE-SQLDA-NAME) : SQLDA 變數名稱。

### 範例

```

EXEC SQL ALLOCATE DESCRIPTOR mydesc;
EXEC SQL PREPARE stmt1 FROM :sql_stmt;
EXEC SQL DESCRIBE stmt1 INTO SQL DESCRIPTOR mydesc;
EXEC SQL GET DESCRIPTOR mydesc VALUE 1 :charvar = NAME;
EXEC SQL DEALLOCATE DESCRIPTOR mydesc;
```

### 相容性

SQL 標準規定了 `DESCRIBE`。

### 另請參閱

[ALLOCATE DESCRIPTOR](/client-interfaces/ecpg/ecpg-sql-commands/ecpg-sql-allocate-descriptor.md), [GET DESCRIPTOR](/client-interfaces/ecpg/ecpg-sql-commands/ecpg-sql-get-descriptor.md)

***

原文：[PostgreSQL 18.6 Documentation](https://www.postgresql.org/docs/18/ecpg-sql-describe.html)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.postgresql.tw/client-interfaces/ecpg/ecpg-sql-commands/ecpg-sql-describe.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
